summaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
-rwxr-xr-xinstall.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/install.sh b/install.sh
index f0b2573..b4e0c4e 100755
--- a/install.sh
+++ b/install.sh
@@ -1,10 +1,10 @@
#!/bin/sh
-# shellcheck disable=SC2035
+# shellcheck disable=SC2035,SC2016
CDPATH='' cd -- "$(dirname -- "$0")" || exit
printf "%s: Removing bad links\n" "$0"
-chkstow -t .. -b | cut -c13- | xargs -r rm -v
+fd . .. -Htl -E ./**/ -x sh -c '[ -e "{}" ] || (readlink -m "{}" | grep '"$PWD"' -q && rm -v "{}")'
printf "%s: Stowing packages\n" "$0"
stow "$@" */